Page MenuHomePhabricator

Find out where to put not strictly technical news
Closed, ResolvedPublic

Description

There are regularly requests from people within the WMF to use Tech News for wider purposes than the fairly narrow definitions of technical news that has traditionally been the focus of the newsletter. @Johan tends to be vary of widening the scope, because of two things: a) readers signed up for a specific newsletter and b) he worries about the length of the newsletter and translator fatigue.

However, there's an obvious need of reaching out with more information and a place for more updates, or they wouldn't be suggested for Tech News. This could mean that the inclusion criteria are too strict, or it could mean that the Wikimedia Foundation and/or the Wikimedia movement needs another venue for them (which is difficult: we've had more than one failed newsletter, historically).

Potential steps:

*) Request feedback from translators and readers. Are the worries unfounded?
*) If yes, revisit the inclusion criteria and think more about the definition of "technical".
*) If no, start a conversation about other potential venues.

Note: This task describes reaching out to the communities, rather than the world in general.

Event Timeline

Johan created this task.Feb 5 2016, 11:09 AM
Johan claimed this task.
Johan raised the priority of this task from to Normal.
Johan updated the task description. (Show Details)
Johan added a subscriber: Johan.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 5 2016, 11:09 AM
Johan updated the task description. (Show Details)Feb 5 2016, 11:11 AM
Johan set Security to None.
Qgil added a subscriber: Qgil.

Good point. @Johan, are you planning to work on this task during this quarter? I'm just asking to place the task in the Community-Relations-Support workboard.

Depending on my workload, I'd hope to be able to spend more time on this in March, but I'm not really sure. Depends on how much this-needs-to-be-fixed-NOW work I have.

Johan added a comment.Feb 18 2016, 1:33 PM

Though I'll have at least one meeting regarding this next week, so I suppose I'll put in at least some work during this quarter, but not necessarily much.

Johan added a comment.Feb 26 2016, 3:20 PM

A good example for this week's Tech News: the ED is stepping down. It's certainly news. The information should be easily available for the communities. But it isn't technical: it's not a software update, it's not even a technology position. If this is technical, then what within the WMF or the movement isn't? But people still want to add it, because we have no better newsletter to add it to.

Elitre added a subscriber: Elitre.Feb 29 2016, 3:47 PM

(Community-related items (and Wikipedia- ?) currently belong to to the weekly Wikimedia digest which is posted on the blog - with a certain degree of overlapping with community-maintained news sources, of course. You may want to provide a few links on TN's Meta page so that people know where to go to leave tips.)

(Community-related items (and Wikipedia- ?) currently belong to to the weekly Wikimedia digest which is posted on the blog - with a certain degree of overlapping with community-maintained news sources, of course. You may want to provide a few links on TN's Meta page so that people know where to go to leave tips.)

Yep, the Community Digest would be the best place to promote "almost-technical" stories like this. It is still a very new aspect of the Wikimedia Blog and we're still working out how best to communicate this; @EdErhart-WMF and the rest of the blog team wrote up some new guidelines on meta about it.

I'm sure that "not strictly technical" news could be included in that as well, if people are willing write up short blurbs for inclusion there.

Joe is exactly right, although the digest doesn't get translated into other languages. That's something that could change, of course.

Otherwise the place for this sort of news is the monthly highlights, which get translated and are relatively highly read. @asherman

jrbs added a comment.Mar 1 2016, 1:07 PM

Joe is exactly right, although the digest doesn't get translated into other languages. That's something that could change, of course.
Otherwise the place for this sort of news is the monthly highlights, which get translated and are relatively highly read. @asherman

Generally the highlights are just recaps of things already on the blog though?

Sorry @jrbs, I meant to say could be the monthly highlights.

Johan added a comment.Mar 1 2016, 8:22 PM

I realize the description was not as clear as it could have been. I'm specifically talking about reaching out the the Wikimedia communities, rather than the world in general. I think two things are necessary for things to actually be reasonably available to the communities:

*) The texts needs to be translatable.
*) It needs to be published on the wikis.

Take Tech News, for example. Very few read Tech News on its home on Meta, which I would say function mainly as a work space for the writers and translators. It's read on community pages and talk pages as it gets distributed across the content wikis. Now, the blog gets a fair number of readers as it is, especially given that it's perhaps our main method of communication with the outside world, but for community penetration, things need to be available on the content wikis. The very large majority of contributors rarely or never leave their home wikis to read things on e.g. Meta or the blog. I do not want to start a new newsletter, but maybe we could talk on whether we could do something more with the material you're already putting together?

Johan updated the task description. (Show Details)Mar 1 2016, 8:23 PM
Johan moved this task from Backlog to Do later on the User-Johan board.Mar 22 2016, 6:11 PM
Johan added a comment.Apr 9 2016, 10:41 PM

Ping @EdErhart-WMF and @jrbs: Do you think there's any sensible way to build on what you're doing, without taking too much extra time? If so, should we set up a meeting and talk more about it?

Johan added a comment.EditedMay 30 2016, 3:16 AM

It'll probably be difficult to reuse what Comms are doing.

The answer might be "start a new proper newsletter, which no one has time to do".

Qgil added a comment.May 30 2016, 9:15 AM

I think it would be useful if you would post here "requests from people within the WMF to use Tech News for wider purposes than the fairly narrow definitions of technical news" as they come to your attention. I still have a hard time understanding the type and dimensions of the problem we are trying to solve here.

Johan added a comment.Jun 12 2016, 7:05 PM

I've gone through the histories of old issues of Tech News, talk pages, IRC logs and email (where is where most of them come), rather than in Phabricator or on-wiki, and we're not talking about more than two, three requests/month.

Johan added a comment.Jun 12 2016, 7:10 PM

One solution would be a WMF newsletter. It probably wouldn't be efficient, given the time it currently takes to distribute those and even ignoring that the time and energy needed to build up a readership.

I'd probably go with a simple page on Meta: Somewhere you can put even the smallest update, because all need to do is make a small heading and write a couple of sentences. That way there's one central place to put them, it wouldn't take many minutes and less would get lost in the process. The drawback is that the very large majority of editors never or rarely go to Meta, of course.

Not much seems to have happened during this quarter? At least according to the updates on this task.

CCing @MelodyKramer just in case she is interested.

As a stopgap, would it be possible to add a link to the weekly community digest updates that @EdErhart-WMF referred to, in case people would like that type of news?

If there are other types of news that are non-technical that would also appeal to a greater audience, perhaps they could be added there, and then disseminated through linking? I think I may need a better sense of what types of news you're thinking about, and then may have ideas for the best ways to surface those bits.

Mel

Johan added a comment.Oct 3 2016, 11:44 AM

I had sent Melody a private reply, but the answer is of course relevant to anyone following the ticket:

For example, a board member resigning or the ED stepping down; when we've found a new CTO or filled a similarly important position; a reorganization of the Foundation's teams, perhaps especially non-technical teams; legal news and updates, to mention a few things.

These are examples of things that, in my experience, rarely make it to the content wikis.

There's an "In Brief" section of the digest that @EdErhart-WMF referred to, which covers many of the topics that might appeal to a greater audience. Would it be possible to add a link to this digest (example) to the Technical Newsletter? It seems like the topics you describe are likely covered in that round-up, and it wouldn't be necessary to start another newsletter from scratch.

EdErhart-WMF added a comment.EditedOct 4 2016, 6:11 PM

@MelodyKramer that's a newer thing that I've been trialing on my own. If memory serves, Johan, I, and others had a meeting and discussed using the digest for that purpose; we decided against it. Then I changed my mind. :-)

Of course, I'll need to put it out on a more consistent basis for it to have an effect with the broader community, but I like the transparency implications.

Johan closed this task as Resolved.Oct 9 2016, 4:18 PM

Have we come to the conclusion that that's the place to put them, for the time being?

I think so! Will follow up with you on ideas to keep this sustainable, growth, etc etc etc

Qgil awarded a token.Oct 11 2016, 6:49 AM
Johan moved this task from Do later to Archive on the User-Johan board.Jul 26 2017, 3:21 AM